#ifdef VERTEX_SHADER
	attribute vec4 Position;
	attribute vec3 Normal;
	attribute vec4 Color;
	attribute vec2 TexCoord0;

	uniform lowp mat4 ModelViewProjectionMatrix;
	uniform lowp mat4 ModelViewMatrix;

	varying lowp vec4 _Color;
	varying lowp vec2 _TexCoord0;

	void vs_main()
	{
		gl_Position = ModelViewProjectionMatrix * vs_skin(Position);
		
		_TexCoord0 = TexCoord0;
		_Color = Color;
	}
#else
	uniform sampler2D Texture0;

	uniform lowp vec4 OverlayColor;
	uniform lowp vec4 TeamColor;
	uniform lowp vec4 SurfaceColor;

	varying lowp vec4 _Color;
	varying lowp vec2 _TexCoord0;

	void ps_main()
	{
		gl_FragColor = texture2D(Texture0, _TexCoord0) * SurfaceColor * _Color;
	}
#endif
